curl 'https://crypto-api.yativo.com/api/v1/customers/6650a1f2c3d4e5f6a7b8c9d0/auto-forward' \
-H 'Authorization: Bearer YOUR_ACCESS_TOKEN'
{ "status": true, "data": { "destination_address": "7xKXtg2CW87d97TXJSDpbD5jBkheTqA83TZRuJosgAsU", "percentage": 100, "chain": "SOL", "enabled": true } }
WaaS Customers (Wallet Sub-accounts)
Get Customer Auto-Forward
Get a customer’s auto-forward rule
GET
/
v1
/
customers
/
{customer_id}
/
auto-forward
curl 'https://crypto-api.yativo.com/api/v1/customers/6650a1f2c3d4e5f6a7b8c9d0/auto-forward' \
-H 'Authorization: Bearer YOUR_ACCESS_TOKEN'
{ "status": true, "data": { "destination_address": "7xKXtg2CW87d97TXJSDpbD5jBkheTqA83TZRuJosgAsU", "percentage": 100, "chain": "SOL", "enabled": true } }
string
required
Bearer token:
Bearer YOUR_ACCESS_TOKENstring
required
The customer ID.
curl 'https://crypto-api.yativo.com/api/v1/customers/6650a1f2c3d4e5f6a7b8c9d0/auto-forward' \
-H 'Authorization: Bearer YOUR_ACCESS_TOKEN'
{ "status": true, "data": { "destination_address": "7xKXtg2CW87d97TXJSDpbD5jBkheTqA83TZRuJosgAsU", "percentage": 100, "chain": "SOL", "enabled": true } }
data is null when the customer has no rule.
